JacksonJaxbSmileProvider (Jackson: JAX-RS (parent) 2.13.1-SNAPSHOT API)
Date: 2021-09-30

com.fasterxml.jackson.jaxrs.smile

## Class JacksonJaxbSmileProvider

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.base.ProviderBase<JacksonSmileProvider,com.fasterxml.jackson.databind.ObjectMapper,SmileEndpointConfig,SmileMapperConfigurator>
  - - com.fasterxml.jackson.jaxrs.smile.JacksonSmileProvider
    - - com.fasterxml.jackson.jaxrs.smile.JacksonJaxbSmileProvider

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, javax.ws.rs.ext.MessageBodyReader<Object>, javax.ws.rs.ext.MessageBodyWriter<Object>

      @Provider
       @Consumes(value="*/*")
       @Produces(value="*/*")
      public class JacksonJaxbSmileProvider
      extends JacksonSmileProvider

  JSON content type provider automatically configured to use both Jackson and JAXB annotations (in that order of priority). Otherwise functionally same as `JacksonSmileProvider`.

  Typical usage pattern is to just instantiate instance of this provider for JAX-RS and use as is: this will use both Jackson and JAXB annotations (with Jackson annotations having priority).

  Note: class annotations are duplicated from super class, since it is not clear whether JAX-RS implementations are required to check settings of super-classes. It is important to keep annotations in sync if changed.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Annotations[]` | `DEFAULT_ANNOTATIONS` Default annotation sets to use, if not explicitly defined during construction: use Jackson annotations if found; if not, use JAXB annotations as fallback.

    - ### Fields inherited from class com.fasterxml.jackson.jaxrs.smile.JacksonSmileProvider

      `_providers, BASIC_ANNOTATIONS`

    - ### Fields inherited from class com.fasterxml.jackson.jaxrs.base.ProviderBase

      `_cfgCheckCanDeserialize, _cfgCheckCanSerialize, _cfgCustomUntouchables, _defaultReadView, _defaultWriteView, _jaxRSFeatures, _mapperConfig, _readers, _unreadableClasses, _untouchables, _unwritableClasses, _writers, CLASS_NAME_NO_CONTENT_EXCEPTION, DEFAULT_UNREADABLES, DEFAULT_UNTOUCHABLES, DEFAULT_UNWRITABLES, HEADER_CONTENT_TYPE_OPTIONS, JAXRS_FEATURE_DEFAULTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JacksonJaxbSmileProvider()` Default constructor, usually used when provider is automatically configured to be used with JAX-RS implementation.
    `JacksonJaxbSmileProvider(Annotations... annotationsToUse)`
    `JacksonJaxbSmileProvider(com.fasterxml.jackson.databind.ObjectMapper mapper, Annotations[] annotationsToUse)` Constructor to use when a custom mapper (usually components like serializer/deserializer factories that have been configured) is to be used.

  - ### Method Summary

    - ### Methods inherited from class com.fasterxml.jackson.jaxrs.smile.JacksonSmileProvider

      `_configForReading, _configForWriting, _locateMapperViaProvider, hasMatchingMediaType, version`

    - ### Methods inherited from class com.fasterxml.jackson.jaxrs.base.ProviderBase

      `_addSuperTypes, _configForReading, _configForWriting, _containedIn, _createGenerator, _createNoContentException, _createParser, _endpointForReading, _endpointForWriting, _findCustomUntouchable, _isIgnorableForReading, _isIgnorableForWriting, _isSpecialReadable, _modifyHeaders, addUntouchable, checkCanDeserialize, checkCanSerialize, configure, configure, configure, configure, configure, disable, disable, disable, disable, disable, disable, enable, enable, enable, enable, enable, enable, findEncoding, findSuperTypes, findSuperTypes, getSize, hasMatchingMediaTypeForReading, hasMatchingMediaTypeForWriting, isEnabled, isReadable, isWriteable, locateMapper, readFrom, removeUntouchable, setAnnotationsToUse, setDefaultReadView, setDefaultView, setDefaultWriteView, setMapper, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ANNOTATIONS

          public static final Annotations[] DEFAULT_ANNOTATIONS

      Default annotation sets to use, if not explicitly defined during construction: use Jackson annotations if found; if not, use JAXB annotations as fallback.

  - ### Constructor Detail

    - #### JacksonJaxbSmileProvider

          public JacksonJaxbSmileProvider()

      Default constructor, usually used when provider is automatically configured to be used with JAX-RS implementation.

    - #### JacksonJaxbSmileProvider

          public JacksonJaxbSmileProvider(Annotations... annotationsToUse)

      Parameters:
        `annotationsToUse` - Annotation set(s) to use for configuring data binding

    - #### JacksonJaxbSmileProvider

          public JacksonJaxbSmileProvider(com.fasterxml.jackson.databind.ObjectMapper mapper,
                                          Annotations[] annotationsToUse)

      Constructor to use when a custom mapper (usually components like serializer/deserializer factories that have been configured) is to be used.

Copyright © 2021 FasterXML. All rights reserved.